# fix_modify AtC transfer source

## syntax

fix_modify AtC transfer source <field> <element_set> <value | function>

- <field> = field name valid for type of physics
- <element_set> = name of set of elements

## examples

`fix_modify atc transfer source temperature middle temporal_ramp 10. 0.`

## description

Add domain sources to the mesh. The units are consistent with LAMMPS's units for mass, length and time and are defined by the PDE being solved, e.g. for thermal transfer the balance equation is for energy and source is energy per time.

## restrictions

keyword 'all' reserved in element_set name

## related

see fix_modify AtC transfer remove_source

## default

none